Subject: Re: bug#11572: 24.1.50; Emacs executable shadowed by an alias

From: Juanma Barranquero <[email-masked]>
Date: Mon, 28 May 2012 09:37:05 +0200

On Mon, May 28, 2012 at 9:28 AM, sindikat <[email-masked]> wrote:

> You would think Emacs finds there is no daemon and runs Emacs daemon
> and then Emacsclient, but because internally it calls
> 'emacs' command, it enters an infinite recursion calling emacs alias,
> which calls emacsclient, which calls emacs alias etc.

Isn't that a case of "if it hurts doing that, don't do that"?

> To correct the behavior, emacsclient should internally use 'which' or
> some other way to not call the alias, i think.

What if the user wants to really use an alias (just not "emacs", another one)?

    Juanma